Subject: Re: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Visuwesh <[email-masked]>
Date: Fri, 22 Apr 2022 16:16:07 +0530

[வெள்ளி ஏப்ரல் 22, 2022] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Thu, 21 Apr 2022 20:20:45 +0530
>> 
>> I was not successful in getting the data for all offending sequences.
>> The offending sequences were,
>> 
>> bb9 bbf -- ஹி
>> ba9 bc1 -- னு
>> bb5 bbf	-- வி
>> b86 -- ஆ
>> 
>> and the GOOD case for bb9 bbf is
>> 
>>     lbearing 1 rbearing 28 width 28 ascent 9 descent 5
>>     1 bb9 bbf xadvance 1809 yadvance 0 xoffset 0 yoffset 0
>>     xpos 0 yoff 0 wadjust 28
>> 
>> and the BAD case is
>> 
>>     lbearing 1 rbearing 28 width 28 ascent 9 descent 5
>>     1 bb9 bbf xadvance 3193 yadvance 0 xoffset 0 yoffset 0
>>     xpos 0 yoff 0 wadjust 50
>
> This looks like HarfBuzz is feeding us incorrect data for some reason,
> but I cannot imagine what that reason could be, sorry.

Could it be some kind of cache?  Because when Emacs rendered the entire
webpage, I was unable to reproduce the issue.  Then again,
(clear-composition-cache) did not help. and I was also able to
reproduce the issue with Noto Sans Tamil as well.  Anyway, thanks for
looking into this.  I will look into reporting it to the HarfBuzz devs
if you have no further comments.